---
title: FeaturePolicy
slug: Web/API/FeaturePolicy
tags:
  - API
  - Feature Policy
  - Feature-Policy
  - FeaturePolicy
  - Interface
  - Permissions
  - Privileges
  - Reference
  - access
  - delegation
---
<p>{{APIRef("Feature Policy")}}</p>

<p>The <code>FeaturePolicy</code> interface of the <a href="/en-US/docs/Web/HTTP/Feature_Policy">Feature Policy API</a> represents the set of policies applied to the current execution context.</p>

<h2 id="FeaturePolicy_Methods">FeaturePolicy Methods</h2>

<dl>
 <dt>{{DOMxRef("FeaturePolicy.allowsFeature")}}</dt>
 <dd>Returns a Boolean that indicates whether or not a particular feature is enabled in the specified context.</dd>
 <dt>{{DOMxRef("FeaturePolicy.features")}}</dt>
 <dd>Returns a list of names of all features supported by the User Agent. Feature whose name appears on the list might not be allowed by the Feature Policy of the current execution context and/or might not be accessible because of user's permissions.</dd>
 <dt>{{DOMxRef("FeaturePolicy.allowedFeatures")}}</dt>
 <dd>Returns a list of names of all features supported by the User Agent and allowed by the Feature Policy. Note that features appearing on this list might still be behind a user permission.</dd>
</dl>

<dl>
 <dt>{{DOMxRef("FeaturePolicy.getAllowlistForFeature")}}</dt>
 <dd>Returns the Allow list for the specified feature.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Feature Policy")}}</td>
   <td>{{Spec2("Feature Policy")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.FeaturePolicy")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPHeader("Feature-Policy")}}</li>
 <li><a href="/en-US/docs/Web/Privacy">Privacy, permissions, and information security</a></li>
</ul>
